#!/bin/bash

# Utility script for recording sentences

. ./config

echo "Record file prefix:"
read prefix;

count=1
while read sent; do
    if [[ ${sent:0:1} != "#" ]]; then
        echo $sent
        fn=`printf $prefix-${AUDIO_FILES_BASENAME}-%04d $count`;
        echo "$fn" >> $RECORD_FILESID
        rec -r 8000 -e signed-integer -b 16 -c 1 wav/$fn.wav 2>/dev/null; 
        count=`expr $count + 1`
    fi
done < $CORPUS_FILE